//AVTOR: Boštjan Kač 27005020 (druga seminarska naloga pri predmetu R2)

public class Povezava{
  
  //komponente
  private int zacetek; //zacetek povezave (source)
  private int konec; //konec povezave (destination)
  private int utez; //utez na povezavi (weight)
  
  //konstruktor
  public Povezava(int zacetek, int konec, int utez){
    this.zacetek = zacetek;
    this.konec = konec;
    this.utez = utez;
  }
  
  //get metode
  public int vrniZacetek(){
    return this.zacetek;
  }
  public int vrniKonec(){
    return this.konec;
  }
  public int vrniUtez(){
    return this.utez;
  }
  
  //metoda za izpis
  public String toString(){
    return "(" +this.zacetek+ "," +this.konec+ "," +this.utez + ")";
  }
  
}

/* "Izjavljam, da sem nalogo opravil samostojno in da sem njen avtor. Zavedam se, da v primeru,
če izjava prvega stavka ni resnična, kršim disciplinska pravila Fakultete za matematiko in fiziko." */